## org.apache.commons.collections.map
Class AbstractHashedMap.Values

    java.lang.Object
      java.util.AbstractCollection
          org.apache.commons.collections.map.AbstractHashedMap.Values

All Implemented Interfaces:
  Collection

Enclosing class:
  AbstractHashedMap

protected static class AbstractHashedMap.Values
extends AbstractCollection

Values implementation.

Field Summary
`protected AbstractHashedMap` `parent` The parent map

Constructor Summary
`protected` `AbstractHashedMap.Values(AbstractHashedMap parent)`

Method Summary
`void` `clear()`
`boolean` `contains(Object value)`
`Iterator` `iterator()`
`int` `size()`

Methods inherited from class java.util.AbstractCollection
`add, addAll, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Field Detail

### parent

    protected final AbstractHashedMap parent

  The parent map

Constructor Detail

### AbstractHashedMap.Values

    protected AbstractHashedMap.Values(AbstractHashedMap parent)

Method Detail

### size

    public int size()

### clear

    public void clear()

### contains

    public boolean contains(Object value)

### iterator

    public Iterator iterator()

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.